@import '~base-scss/base';

$color-text-on-primary: get-text-color($color-primary);

$width-deep-logo: 256px;
$height-deep-logo: 256px;

.login {
    @extend %main-content;
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    justify-content: center;

    .deep-container {
        display: flex;
        align-items: center;
        flex-direction: column;
        padding: $spacing-extra-large;

        .logo {
            margin-bottom: $spacing-extra-large;
            width: $width-deep-logo;
            height: $height-deep-logo;

            path {
                fill: $color-accent;
            }
        }

        .heading {
            color: inherit;

            small {
                text-transform: none;
            }
        }
    }

    .login-form-container {
        display: flex;
        position: relative;
        flex-direction: column;
        margin: $spacing-extra-large;
        width: $width-login-form;

        .hid-link-container {
            @include background-color($color-foreground);
            display: flex;
            align-items: center;
            flex-basis: 100%;
            flex-direction: column;
            padding: $spacing-large;

            .hid-link {
                display: flex;
                align-items: center;
                flex-basis: 100%;
                margin-bottom: $spacing-large;
                border: $width-separator-thin solid $color-separator-alt;
                border-radius: 3px;
                padding: $spacing-small $spacing-large;
                font-size: $font-size-medium-alt;

                .logo {
                    margin-right: $spacing-small;
                    height: $font-size-medium-alt;
                }
            }

            .or-container {
                position: relative;
                width: 100%;
                vertical-align: baseline;

                hr {
                    position: absolute;
                    top: 0;
                    left: 0;
                    border: $width-separator-thin solid $color-separator;
                    width: 100%;
                }

                .or {
                    @include background-color($color-foreground);
                    position: absolute;
                    top: 0;
                    left: 50%;
                    transform: translate(-50%);
                    padding: 0 $spacing-extra-small;
                    text-transform: uppercase;
                    font-size: $font-size-small;
                }
            }
        }

        .login-form {
            @include background-color($color-foreground);
            padding: $spacing-small $spacing-large $spacing-large;
            width: 100%;

            .action-buttons {
                display: flex;
                align-items: flex-start;
                justify-content: space-between;

                .forgot-password-link {
                    color: $color-text-label;
                    font-size: $font-size-extra-small;
                }
            }
        }

        .register-link-container {
            @include background-color($color-foreground);
            display: flex;
            align-items: center;
            flex-basis: 100%;
            justify-content: center;
            margin-top: $spacing-extra-small;
            padding: $spacing-large;

            p {
                margin: $spacing-small;
            }

            .register-link {
                color: $color-accent;
            }
        }
    }
}
